{
  pkgs,
  inputs,
  ...
}: {
  hardware.graphics = {
    enable = true;
    enable32Bit = true;
  };

  xdg = {
    mime.enable = true;
    menus.enable = true;
    portal = {
      enable = true;
      extraPortals = [pkgs.xdg-desktop-portal-cosmic];
      config.common.default = "cosmic";
    };
  };

  programs.niri = {
    enable = true;
    package = inputs.niri-flake.packages.${pkgs.system}.niri-stable;
  };

  services.xserver = {
    enable = true;
    videoDrivers = ["amdgpu"];
  };
}
